RiR slab shape creases

Hello
I am trying to extract the deformed curves that form the a shape edited floor.

from RhinoInside.Revit.Convert.Geometry import GeometryDecoder
sse = F.SlabShapeEditor.SlabShapeCreases
for cc in sse:
print(GeometryDecoder.ToGeometryBase(cc.Curve))
print(GeometryDecoder.ToCurve(cc.Curve))

Runtime error (NotImplementedException): The method or operation is not implemented.

Is it actually not implemented or am I doing something wrong.
The creases are Curve class Curve Members

Is there any other way I can rebuild the curves in Rhino?

This looks like a bug, hopefully we can get a fix in before the Tuesday release, if not probably next week. Thanks for reporting.

Here’s an interim solution

Summary
import clr
clr.AddReference('System.Core')
clr.AddReference('RhinoInside.Revit')
clr.AddReference('RhinoInside.Revit.GH')
clr.AddReference('RevitAPI') 
clr.AddReference('RevitAPIUI')
clr.AddReference("RhinoCommon")

from System import Enum

import rhinoscriptsyntax as rs
import Rhino
import RhinoInside
import Grasshopper
import Rhino.Geometry as RG
from Grasshopper.Kernel import GH_RuntimeMessageLevel as RML
from RhinoInside.Revit import Revit, Convert
from Autodesk.Revit import DB
from RhinoInside.Revit.Convert.Geometry import GeometryDecoder as GD

# access the active document object
doc = Revit.ActiveDBDocument

def show_warning(msg):
    ghenv.Component.AddRuntimeMessage(RML.Warning, msg)

def show_error(msg):
    ghenv.Component.AddRuntimeMessage(RML.Error, msg)

def show_remark(msg):
    ghenv.Component.AddRuntimeMessage(RML.Remark, msg)

SSC = I.SlabShapeEditor.SlabShapeCreases
ct = range(SSC.Size)
curves = []
for item in ct:
    i = SSC[item]
    try:
        NC = i.Curve
        line = DB.PolyLine.Create(NC.Tessellate())
        RC = GD.ToPolylineCurve(line).ToNurbsCurve()
        curves.append(RC)
    except Exception as e:
        print(e)

O = curves

.ToCurve works as expected on SlabShapeCreases in RC 1.5 and above now.

ToCurve On SlabShapeCreases
import clr
clr.AddReference('System.Core')
clr.AddReference('RhinoInside.Revit')
clr.AddReference('RevitAPI') 
clr.AddReference('RevitAPIUI')
clr.AddReference("RhinoCommon")

from System import Enum

import rhinoscriptsyntax as rs
import Rhino
import RhinoInside
import Grasshopper
import Rhino.Geometry as RG
from Grasshopper.Kernel import GH_RuntimeMessageLevel as RML
from RhinoInside.Revit import Revit, Convert
from Autodesk.Revit import DB
from RhinoInside.Revit.Convert.Geometry import GeometryDecoder as GD


# access the active document object
doc = Revit.ActiveDBDocument

def show_warning(msg):
    ghenv.Component.AddRuntimeMessage(RML.Warning, msg)

def show_error(msg):
    ghenv.Component.AddRuntimeMessage(RML.Error, msg)

def show_remark(msg):
    ghenv.Component.AddRuntimeMessage(RML.Remark, msg)

SSC = I.SlabShapeEditor.SlabShapeCreases
ct = range(SSC.Size)
curves = []
for item in ct:
    i = SSC[item]
    try:
        RC = GD.ToCurve(i.Curve)
        curves.append(RC)
    except:
        pass
O = curves

I just tried the new version 1.5 RC2 and it works almost perfect. I have noticed that some of the internal “Auto” boundaries are not exporting. I am using the code from your last example where you just use .ToCurve(). Is there are way of geting them as well. I have attached my test file, although it is not too hard to reproduce. Thanks.
220209_test.rvt (1.6 MB)